# Get eDiscovery export

`GET https://api.airtable.com/v0/meta/enterpriseAccounts/{enterpriseAccountId}/exports/{enterpriseTaskId}`

Get the status and result of an eDiscovery export.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`enterprise.exports:manage`](https://airtable.com/developers/web/api/scopes.md#enterprise-exports-manage)
- **User role:** Enterprise admin
- **Billing plans:** Enterprise Scale

## Path parameters

- `enterpriseAccountId: string`

- `enterpriseTaskId: string`

## Response format

- `id: string` — required

- `data: object` — optional

  Available once the export completes.

  - `expirationTime: string` — required

    The date and time at which the download URLs expire.

  - `jsonDownloadUrl: string` — required

    URL to download JSON export.

  - `csvZipDownloadUrl: string` — optional

    URL to download CSV export (as a zipped file), if `includeCsvFormat` was
    set for this export.

- `error: string` — optional

  If state is `error`, this will contain an error message.

- `state: "pending" | "processing" | "error" | "done"` — required

- `createdTime: string` — required

  A date timestamp in the ISO format, eg:"2018-01-01T00:00:00.000Z"

- `user: object` — required

  The user that created the eDiscovery export.

  - `id: string` — required

    A user ID

  - `email: string` — required

  - `name: string` — required

- `request: object` — required

  - `baseId: string` — required

    Base ID of the export.

  - `includeCsvFormat: boolean` — required

    Whether the export includes a CSV export (as a zipped file).

  - `shouldSendEmailOnCompletion: boolean` — required

    Whether an email notification should be sent when the export is complete.

### Example — Success Response

```sh
curl "https://api.airtable.com/v0/meta/enterpriseAccounts/{enterpriseAccountId}/exports/{enterpriseTaskId}" \
-H "Authorization: Bearer YOUR_TOKEN"
```

```json
{
  "createdTime": "2021-01-01T00:00:00.000Z",
  "data": {
    "csvZipDownloadUrl": "https://example.com/ediscovery_export.zip",
    "expirationTime": "2021-01-30T00:00:00.000Z",
    "jsonDownloadUrl": "https://example.com/ediscovery_export.json"
  },
  "id": "etkJkReGfIaW8DZq5",
  "request": {
    "baseId": "appLkNDICXNqxSDhG",
    "includeCsvFormat": true,
    "shouldSendEmailOnCompletion": true
  },
  "state": "done",
  "user": {
    "email": "foo@bar.com",
    "id": "usrL2PNC5o3H4lBEi",
    "name": "Barry Allen"
  }
}
```

## Error responses

### 404

**Error Response** — Invalid task ID

```json
{
  "error": {
    "type": "NOT_FOUND"
  }
}
```
